<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
ReplicationConfig..::.InMemory Field
ReplicationConfig Class See Also Send Feedback

If true, replication only stores the internal information in-memory and cannot keep persistent state across a site crash or reboot. By default, it is false and replication creates files in the environment home directory to preserve the internal information. This configuration flag can only be set before the DatabaseEnvironment is opened.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool InMemory

Visual Basic (Declaration)

    Public InMemory As Boolean

Visual C++

    public:
    bool InMemory

# See Also

ReplicationConfig Class
BerkeleyDB Namespace